package com.example.svc.services;

import android.app.IntentService;
import android.content.Intent;

import com.example.svc.utilities.Downloader;

public class DownloadService extends IntentService {
    public DownloadService() {
        super("DownloadService");
    }

    @Override
    protected void onHandleIntent(Intent intent) {
        String url = intent.getStringExtra("Url");
        Downloader d = new Downloader(getApplicationContext(), url);
        d.downloadFile();
    }
}